Draft Wire

From FreeCAD Documentation
Revision as of 04:52, 6 November 2018 by Vocx (talk | contribs) (units millimeters)

Draft Wire

Menu location
Draft → Wire
Workbenches
Draft, Arch
Default shortcut
W I
Introduced in version
-
See also
Draft Line, Draft BSpline

Description

The Wire tool creates a polyline (sequence of lines made of several segments). It uses the Draft Linestyle set on the Draft Tray. The Wire tool behaves exactly like the Draft Line tool, except that it allows you to enter more than two points.

How to use

  1. Press the Draft Wire button, or press W then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional points on the 3D view, or type a coordinate
  4. Press Esc or the Cancel button to complete the edition

Options

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the line segments.
  • Press A or the Finish button to finish the wire, leaving it open.
  • Press O or the Close button to close the wire, that is, a segment will be added from the last point to the first one to form a face. At least three points are required to form a face.
  • Press W or the Wipe button to remove the line segments already placed, but keep editing the wire from the last point.
  • Press U or the Set WP button to adjust the current working plane in the orientation of the last point.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the next point are relative to the last one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Wire tool will restart after you finish the wire, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, a closed wire will create a filled face (DataMake Face true); if not, the closed wire will not make a face (DataMake Face false).
  • Press Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Shift while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press Ctrl+Z or press the Undo button to undo the last point.
  • Press Esc or the Cancel button to abort the current command; line segments already placed will remain.

Properties

A Wire object shares all properties from a Draft Line, however, most properties only make sense for a Wire.

Data

  • DataStart: specifies the first point in the wire.
  • DataEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DataClosed: specifies if the wire is closed or not. If the wire is initially open, this value is false; setting it to true will draw a line segment to close the wire. If the wire is initially closed, this value is true; setting it to false will remove the last line segment, and make the wire open.
  • DataChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DataFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DataMake Face: specifies if the wire makes a face or not. If it is true a face is created, otherwise only the edges are considered part of the object. This property only works if DataClosed is true.
  • DataSubdivisions: specifies the number of interior nodes in each segment of the wire introduced in version 0.16
  • DataLength: (read-only) specifies the length of the entire wire

View

  • ViewArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • ViewArrow Type: specifies the type of symbol displayed at the end of the wire, which can be dot, circle, arrow, and tick.
  • ViewEnd Arrow: specifies whether to show a symbol at the last point of the wire, so it can be used as an annotation line.
  • ViewPattern: specifies a Draft Pattern with which to fill the face of a closed wire. This property only works if DataMake Face is true.
  • ViewPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: FreeCAD Scripting Basics, Draft API, and the autogenerated API documentation.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creates a Wire object with the given list of points, pointslist
    • Each point in the list is defined by its FreeCAD.Vector, with units in millimeters
    • Alternatively, the input can be a Part.Wire, from which points are extracted
  • If closed is True, or if the first and last points are identical, the wire is closed
  • If face is True, and the wire is closed, the wire will make a face, that is, it will appear filled

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3], closed=True)